Skip to Content
SeyloDocs

List projects

GET
/api/v1/projects.list

Lists the projects the caller can see in the caller's sidebar order (then by name), with service, node and guest counts and whether each is collapsed.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Response Body

Success.

application/json
  1. response
projects*array<>
Example Request
curl -X GET 'https://example.com/api/v1/projects.list'
Example Response
{  "projects": [    {      "id": "string",      "name": "string",      "description": "string",      "protected": true,      "serviceCount": 0,      "nodeCount": 0,      "guestCount": 0,      "networkName": "string",      "collapsed": true,      "position": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}